// KeyEventGidlet.java

import ch.aplu.gidlet.*;
import javax.microedition.lcdui.*;

public class KeyEventGidlet extends Gidlet
{
  private MPanel p = new MPanel("Press a key");

  public void main()
  {
    p.addKeyListener(this);
  }

  public void keyPressed(int keyCode)
  {
    p._label("Key pressed. Keycode: " + new Integer(keyCode).toString(), 25);
    p._label("Key's name: " + p.getKeyName(keyCode), 40);
    int gameAction = p.getGameAction(keyCode);
    switch (gameAction)
    {
      case Canvas.FIRE:
        p._label("Game action: FIRE", 55);
        break;
      case Canvas.GAME_A:
        p._label("Game action: GAME_A", 55);
        break;
      case Canvas.GAME_B:
        p._label("Game action: GAME_B", 55);
        break;
      case Canvas.GAME_C:
        p._label("Game action: GAME_C", 55);
        break;
      case Canvas.GAME_D:
        p._label("Game action: GAME_D", 55);
        break;
      case Canvas.UP:
        p._label("Game action: UP", 55);
        break;
      case Canvas.DOWN:
        p._label("Game action: DOWN", 55);
        break;
      case Canvas.LEFT:
        p._label("Game action: LEFT", 55);
        break;
      case Canvas.RIGHT:
        p._label("Game action: RIGHT", 55);
        break;
      default:
        p._label("No game action", 55);
    }
  }
}
