// SqlGetGidlet.java

import javax.microedition.lcdui.*;
import ch.aplu.gidlet.*;

public class SqlGetGidlet extends Gidlet
{
  private MForm form;
  private Item it1;
  private Item it2;

  private static final String
    uri = "http://www.aplu.ch/gidsql/gidsql.jsp";

  public void main()
  {
    form = new MForm("Search in phonebook");
    it1 = form.addInputField("Enter familyname:", "");
    it2 = form.addOutputField();
    form.addOkButton();
    form.show();
  }

  public void doOk()
  {
    String val = form.getText(it1);
    new HttpGetter(uri + "?familyname=" + val);
    form.setText(it2, "Connecting, wait...");
  }

  public void notifyHttpResponse(String response, int code)
  {
    int okStatusCode = 200;
    if (code != okStatusCode)
    {
      form.setText(it2, "Connection failed");
      return;
    }
    // Get rid of JSP header junk
    response = response.substring(10);
    form.setText(it2, response);
  }
}
