// ChoiceGidlet.java

import javax.microedition.lcdui.*;
import ch.aplu.gidlet.*;

public class ChoiceGidlet extends Gidlet implements ItemStateListener
{
  private ChoiceGroup cg =
    new ChoiceGroup("Choose a sound", Choice.EXCLUSIVE);

  public void main()
  {
    cg.append("Info", null);
    cg.append("Confirmation", null);
    cg.append("Warning", null);
    cg.append("Alarm", null);
    cg.append("Error", null);

    MForm f = new MForm();
    f.setItemStateListener(this);
    f.append(cg);
    f.show();
  }

  public void itemStateChanged(Item item)
  {
    switch (cg.getSelectedIndex())
    {
      case 0:
        AlertType.INFO.playSound(display);
        break;
      case 1:
        AlertType.CONFIRMATION.playSound(display);
        break;
      case 2:
        AlertType.WARNING.playSound(display);
        break;
      case 3:
        AlertType.ALARM.playSound(display);
        break;
      case 4:
        AlertType.ERROR.playSound(display);
        break;
    }
  }
}

