// HttpGetGidlet.java

import ch.aplu.gidlet.*;

public class HttpGetGidlet extends Gidlet
{
  private MConsole c;
  private static final String uri =
        "http://www.google.ch/webhp?hl=en";

  public void main()
  {
    c = new MConsole();
    c.println("Get " + uri);
    HttpGetter hg = new HttpGetter(uri);
  }

  public void notifyHttpResponse(String response, int code)
  {
    c.color(YELLOW);
    c.println("Response code:");
    c.color(WHITE);
    c.println(code);
    c.color(YELLOW);
    c.println("Response data:");
    c.color(WHITE);
    c.println(response);
  }
}
