// MoveManGidlet.java

import ch.aplu.gidlet.*;
import javax.microedition.lcdui.*;

public class MoveManGidlet extends Gidlet
{
  private int ulx, uly;
  private String imgUrl = "/res/jman.png";
  private int imgWidth;
  private int imgHeight;
  private MPanel p =
    new MPanel("Use cursor to  move", 0, 100, 0, 100);;

  public void main()
  {
    p.rectangle(10, 10, 90, 90);
    imgWidth = p._imageWidth(imgUrl);
    imgHeight = p._imageHeight(imgUrl);
    ulx = (p._displayWidth() - imgWidth) / 2;
    uly = (p._displayHeight() - imgHeight) / 2;
    if (imgWidth != 0)
      p._drawImage(imgUrl, ulx, uly);
    else
      p.label("Loading " + imgUrl + " failed", 110);
    p.addKeyListener(this);
    p.enableFlush(false);
  }

  public void keyPressed(int keyCode)
  {
    keyRepeated(keyCode);
  }

  public void keyRepeated(int keyCode)
  {
    int step = 5;
    boolean ok = false;
    String text = "";
    switch (p.getGameAction(keyCode))
    {
      case Canvas.UP:
        uly -= step;
        text = "up at (" + ulx + ", " + uly + ")";
        ok = true;
        break;

      case Canvas.DOWN:
        uly += step;
        text = "down at (" + ulx + " " + uly + ")";
        ok = true;
        break;

      case Canvas.LEFT:
        ulx -= step;
        text = "left at (" + ulx + " " + uly + ")";
        ok = true;
        break;

      case Canvas.RIGHT:
        ulx += step;
        text = "right at (" + ulx + " " + uly + ")";
        ok = true;
        break;
    }
    if (ok)
    {
      p.clear();
      p.title(text);
      p.rectangle(10, 10, 90, 90);
      p._drawImage(imgUrl, ulx, uly);
      p.flush();
    }
  }
}
