// NxtDemoGidlet.java

import ch.aplu.gidlet.*;
import ch.aplu.nxt.*;

public class NxtDemoGidlet extends Gidlet
{
  public void main()
  {
    // Ask Bluetooth name, create robot and connect
    NxtRobot robot = new NxtRobot();

    // Create two motors
    Motor motA = new Motor(MotorPort.A);
    Motor motB = new Motor(MotorPort.B);

    // Assemble motors into robot
    robot.addPart(motA);
    robot.addPart(motB);

    // Use motors
    motA.forward();
    motB.forward();

    Tools.delay(5000);

    // Disconnect and terminate
    robot.exit();
  }
}
