// NxtGidletDemo1.java

import ch.aplu.gidlet.*;
import ch.aplu.nxt.*;
import javax.microedition.lcdui.*;

public class NxtGidletDemo1 extends Gidlet
{
  private MPanel p = new MPanel();
  private Gear gear;  // Do not create instance outside main
  private int speed = 0;

  public void main()
  {
    NxtRobot robot = new NxtRobot();
    gear = new Gear();
    robot.addPart(gear);
    p.show();
    p.title("Press up-, down key");
    p.addKeyListener(this);
  }

  public void keyPressed(int keyCode)
  {
    switch (p.getGameAction(keyCode))
    {
      case Canvas.UP:
        speed += 5;
        gear.setSpeed(speed);
        gear.forward();
        break;

      case Canvas.DOWN:
        speed -= 5;
        gear.setSpeed(speed);
        gear.forward();
        break;
    }

  }
}